Bug 331341 - Cups fails to print a PDF file
Cups fails to print a PDF file
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 10:08 EDT by Sam Varshavchik
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file that cannot be printed (640.45 KB, application/octet-stream)
2007-10-14 10:08 EDT, Sam Varshavchik
no flags Details
This is the output of pdf2ps on the PDF file, Cups can print this. (555.89 KB, application/octet-stream)
2007-10-14 10:09 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2007-10-14 10:08:21 EDT
Description of problem:

The attached Chinese-language PDF file causes Cups some major grief.

Running the same PDF file through pdf2ps produces a .ps file that Cups prints
without any complaints.

Version-Release number of selected component (if applicable):

1.2.12-4.fc7

How reproducible:

Always

Steps to Reproduce:
1. Attach an HP LaserJet 1320 printer. Cups autoconfigures it as "HP LaserJet
1320 series Postscript (recommended)"
2. lpr alternative-vrf-mandarin-7.26.07.pdf
  
Actual results:

A) CUPS seems to process this print job, and sends it to the printer

B) No output is produced by the printer. The "attention" light flashes on the
printer's console.

C) Clearing the error condition seems to reset the printer to the "Ready" state.

D) Resubmitting the same PDF file to CUPS immediately generates the "Christmas
tree" status on the printer's console which, according to HP's documentation,
indicates a "Fatal firmware error". The second print job remains stuck in CUPS's
queue.

E) The only way to clear the printer is to powercycle it. After the powercycle
CUPS still can't use the printer, and shows the printer in a perpetual "Printer
not connected; will retry in 30 seconds..."

F) The only way to recover the printer is to manually cancel the second print
job out of the queue, clearing it completely, then rebooting and powercycling
the printer at the same time.

Expected results:

A two page document.

Additional info:

Fedora 7 with all current updates.

Running 'ps2pdf' on this PDF file produces a Postscript file that CUPS prints
without a complaint:

lpr alternative-vrf-mandarin-7.26.07.ps

The result of pdf2ps on this PDF file prints without any problems whatsoever.
Comment 1 Sam Varshavchik 2007-10-14 10:08:21 EDT
Created attachment 226641 [details]
PDF file that cannot be printed
Comment 2 Sam Varshavchik 2007-10-14 10:09:35 EDT
Created attachment 226651 [details]
This is the output of pdf2ps on the PDF file, Cups can print this.
Comment 3 Tim Waugh 2007-10-16 07:14:22 EDT
Please attach the PPD file you are using for this queue.  It can be found in the
/etc/cups/ppd/ and has the same name as the queue but with '.ppd' at the end. 
Thanks.
Comment 4 Brian Powell 2008-04-25 00:44:11 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.